POST V1/AccrualReporting.{ext}/AccrualCalender

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Payments.Entities.CalenderPeriodDetails
NameDescriptionTypeAdditional information
calenderPeriods

No description available

EMS.Payments.Entities.CalenderPeriods

None.

Action

No description available

string

None.

periodIdFr

No description available

integer

None.

PeriodName

No description available

string

None.

PeriodFrom

No description available

string

None.

PeriodTo

No description available

string

None.

PeriodsNumber

No description available

integer

None.

PeriodType

No description available

string

None.

PeriodAddDelete

No description available

string

None.

RESULT

No description available

string

None.

AccrualEmails

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "calenderPeriods": {
    "calenderPeriodList": [
      {
        "accrualCalendarDetailId": 1,
        "accrualSubPeriodName": "sample string 1",
        "fromDate": "sample string 2",
        "toDate": "sample string 3",
        "accrualGenerationDate": "sample string 4",
        "visibility": true,
        "typeValue": true
      },
      {
        "accrualCalendarDetailId": 1,
        "accrualSubPeriodName": "sample string 1",
        "fromDate": "sample string 2",
        "toDate": "sample string 3",
        "accrualGenerationDate": "sample string 4",
        "visibility": true,
        "typeValue": true
      }
    ]
  },
  "action": "sample string 1",
  "periodIdFr": 2,
  "periodName": "sample string 3",
  "periodFrom": "sample string 4",
  "periodTo": "sample string 5",
  "periodsNumber": 6,
  "periodType": "sample string 7",
  "periodAddDelete": "sample string 8",
  "result": "sample string 9",
  "accrualEmails": "sample string 10"
}

application/xml, text/xml

Sample:
<CalenderPeriodDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <AccrualEmails>sample string 10</AccrualEmails>
  <Action>sample string 1</Action>
  <PeriodAddDelete>sample string 8</PeriodAddDelete>
  <PeriodFrom>sample string 4</PeriodFrom>
  <PeriodName>sample string 3</PeriodName>
  <PeriodTo>sample string 5</PeriodTo>
  <PeriodType>sample string 7</PeriodType>
  <PeriodsNumber>6</PeriodsNumber>
  <RESULT>sample string 9</RESULT>
  <calenderPeriods>
    <CalenderPeriodList>
      <CalenderPeriod>
        <AccrualCalendarDetailId>1</AccrualCalendarDetailId>
        <AccrualGenerationDate>sample string 4</AccrualGenerationDate>
        <AccrualSubPeriodName>sample string 1</AccrualSubPeriodName>
        <FromDate>sample string 2</FromDate>
        <ToDate>sample string 3</ToDate>
        <TypeValue>true</TypeValue>
        <Visibility>true</Visibility>
      </CalenderPeriod>
      <CalenderPeriod>
        <AccrualCalendarDetailId>1</AccrualCalendarDetailId>
        <AccrualGenerationDate>sample string 4</AccrualGenerationDate>
        <AccrualSubPeriodName>sample string 1</AccrualSubPeriodName>
        <FromDate>sample string 2</FromDate>
        <ToDate>sample string 3</ToDate>
        <TypeValue>true</TypeValue>
        <Visibility>true</Visibility>
      </CalenderPeriod>
    </CalenderPeriodList>
  </calenderPeriods>
  <periodIdFr>2</periodIdFr>
</CalenderPeriodDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.